<?php

/**
 * @file
 * Provide views data for our views_area_link.
 */

/**
 * Implements hook_views_data().
 */
function views_area_link_views_data() {
  $data = [];
  $data['views']['views_area_link_route_link'] = [
    'title' => t('Link: Based on route'),
    'help' => t('Provide route information for a link to use in a view area.'),
    'area' => [
      'id' => 'views_area_link_route_link',
    ],
  ];
  $data['views']['views_area_link_url_link'] = [
    'title' => t('Link: Based on URL'),
    'help' => t('Provide URL information for a link to use in a view area.'),
    'area' => [
      'id' => 'views_area_link_url_link',
    ],
  ];
  return $data;
}
